/**
 * @param {string} path
 * @returns {Boolean}
 */
export function isExternal(path) {
  return /^(https?:|mailto:|tel:)/.test(path);
}

/**
 * @description 只允许输入数字
 * @param {String} value
 * @returns Number
 */
export function onlyNumber(value) {
  if (!value) {
    return 0;
  }
  let val = value;
  val = val.replace(/[^\d.]/g, ''); // 清除"数字"和"."以外的字符
  val = val.replace(/\.{2,}/g, '.'); // 只保留第一个 "." 清除多余的
  val = val.replace('.', '$#$').replace(/\./g, '').replace('$#$', '.');
  return val;
}
